#include "functions.h"

using namespace MaskTools;

namespace MaskTools { namespace Functions {

void memset_c(Byte *pPlane, int nPitch, int nWidth, int nHeight, Byte value)
{
   for ( int i = 0; i < nHeight; i++, pPlane += nPitch )
      memset(pPlane, value, nWidth);
}

void copy_c(Byte *pDst, int nDstPitch, const Byte *pSrc, int nSrcPitch,
            int nWidth, int nHeight)
{
   for ( int i = 0; i < nHeight; i++, pDst += nDstPitch, pSrc += nSrcPitch )
      memcpy(pDst, pSrc, nWidth);
}

void prefetch_nothing_c(const Byte *pDst, int nWidth)
{
}

} }